package io.accumulatenetwork.sdk.generated.apiv2;

/**
    GENERATED BY go run ./tools/cmd/gen-api. DO NOT EDIT.
**/

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonTypeName;
import io.accumulatenetwork.sdk.protocol.RPCBody;

import java.time.Duration;
// UnionType: 
// UnionValue: 

@JsonIgnoreProperties(ignoreUnknown = true)
@JsonTypeName("MetricsQuery")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class MetricsQuery implements RPCBody {
	private String metric;
	private Duration duration;

    //
	public String getMetric() {
	    return metric;
	}
	public void setMetric(final String value) {
	    this.metric = value;
	}

	public MetricsQuery metric(final String value) {
	    setMetric(value);
	    return this;
	}
	public Duration getDuration() {
	    return duration;
	}
	public void setDuration(final Duration value) {
	    this.duration = value;
	}

	public MetricsQuery duration(final Duration value) {
	    setDuration(value);
	    return this;
	}
}
